gawk-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[SCM] gawk branch, master, updated. gawk-4.1.0-4901-gca476640


From: Arnold Robbins
Subject: [SCM] gawk branch, master, updated. gawk-4.1.0-4901-gca476640
Date: Sun, 4 Sep 2022 08:05:44 -0400 (EDT)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "gawk".

The branch, master has been updated
       via  ca4766401a1a81e548d05f9d113dc29f88b5d9e8 (commit)
      from  98d5d6a8d3b5c1addfef296d65b3bbfa3a131357 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.sv.gnu.org/cgit/gawk.git/commit/?id=ca4766401a1a81e548d05f9d113dc29f88b5d9e8

commit ca4766401a1a81e548d05f9d113dc29f88b5d9e8
Author: Arnold D. Robbins <arnold@skeeve.com>
Date:   Sun Sep 4 15:05:07 2022 +0300

    Make inf-nan-torture a machine-dependent test. See ChangeLog.

diff --git a/pc/ChangeLog b/pc/ChangeLog
index 9b09d8e9..df3dfbfa 100644
--- a/pc/ChangeLog
+++ b/pc/ChangeLog
@@ -1,3 +1,7 @@
+2022-09-04         Arnold D. Robbins     <arnold@skeeve.com>
+
+       * Makefile.tst: Regenerated.
+
 2022-08-25         Arnold D. Robbins     <arnold@skeeve.com>
 
        * Makefile.tst: Regenerated.
diff --git a/pc/Makefile.tst b/pc/Makefile.tst
index e8e75e0f..269ec8a0 100644
--- a/pc/Makefile.tst
+++ b/pc/Makefile.tst
@@ -198,7 +198,7 @@ GAWK_EXT_TESTS = \
        igncdym igncfs ignrcas2 ignrcas4 ignrcase incdupe incdupe2 \
        incdupe3 incdupe4 incdupe5 incdupe6 incdupe7 include include2 \
        indirectbuiltin indirectcall indirectcall2 \
-       indirectcall3 inf-nan-torture intarray iolint isarrayunset lint \
+       indirectcall3 intarray iolint isarrayunset lint \
        lintexp lintindex lintint lintlength lintold lintplus lintset \
        lintwarn manyfiles match1 match2 match3 mbstr1 mbstr2 mdim1 mdim2 \
        mdim3 mdim4 mixed1 mktime modifiers muldimposix nastyparm negtime \
@@ -222,7 +222,7 @@ GAWK_EXT_TESTS = \
 ARRAYDEBUG_TESTS = arrdbg
 EXTRA_TESTS = inftest regtest ignrcas3 
 INET_TESTS = inetdayu inetdayt inetechu inetecht
-MACHINE_TESTS = double1 double2 intformat
+MACHINE_TESTS = double1 double2 inf-nan-torture intformat
 LOCALE_CHARSET_TESTS = \
        asort asorti backbigs1 backsmalls1 backsmalls2 \
        fmttest fnarydel fnparydl jarebug lc_num1 mbfw1 \
@@ -361,11 +361,11 @@ check:    env-check \
        basic-msg-start  basic           basic-msg-end \
        unix-msg-start   unix-tests      unix-msg-end \
        extend-msg-start gawk-extensions arraydebug-tests extend-msg-end \
-       machine-msg-start machine-tests machine-msg-end \
        charset-tests-all \
        shlib-msg-start  shlib-tests     shlib-msg-end \
        mpfr-msg-start   mpfr-tests      mpfr-msg-end \
-       pma-msg-start    pma-tests       pma-msg-end
+       pma-msg-start    pma-tests       pma-msg-end \
+       machine-msg-start machine-tests machine-msg-end
        @-$(MAKE) pass-fail || { $(MAKE) diffout; exit 1; }
 
 basic: $(BASIC_TESTS)
@@ -487,7 +487,8 @@ extend-msg-end:
        @-echo "======== Done with gawk extension tests ========"
 
 machine-msg-start:
-       @-echo "======== Starting machine-specific tests ========"
+       @echo "======== Starting machine-specific tests ========"
+       @-echo "If any of these tests fail, don't worry too much."
 
 machine-msg-end:
        @-echo "======== Done with machine-specific tests ========"
@@ -2975,12 +2976,6 @@ indirectcall3:
        @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: 
$$? >>_$@
        @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
 
-inf-nan-torture:
-       @echo $@ $(ZOS_FAIL)
-       @echo Expect $@ to fail with MinGW.
-       @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  < "$(srcdir)"/$@.in >_$@ 2>&1 
|| echo EXIT CODE: $$? >>_$@
-       @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
-
 intarray:
        @echo $@
        @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  --non-decimal-data >_$@ 2>&1 || 
echo EXIT CODE: $$? >>_$@
@@ -3518,6 +3513,12 @@ double2:
        @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: 
$$? >>_$@
        @-$(TESTOUTCMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
 
+inf-nan-torture:
+       @echo $@ $(ZOS_FAIL)
+       @echo Expect $@ to fail with MinGW.
+       @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  < "$(srcdir)"/$@.in >_$@ 2>&1 
|| echo EXIT CODE: $$? >>_$@
+       @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
 intformat:
        @echo $@
        @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: 
$$? >>_$@
diff --git a/test/ChangeLog b/test/ChangeLog
index 3a2691ed..15712dcc 100644
--- a/test/ChangeLog
+++ b/test/ChangeLog
@@ -1,3 +1,10 @@
+2022-09-04         Arnold D. Robbins     <arnold@skeeve.com>
+
+       * Makefile.am (MACHINE_TESTS): Move inf-nan-torture to here.
+       Move these tets to the end and add a message that if any
+       of them fail, don't worry about it. Thanks to
+       "WeissonHan" <Weisson@linux.alibaba.com> for the report.
+
 2022-08-25         Arnold D. Robbins     <arnold@skeeve.com>
 
        * Makefile.am (EXTRA_DIST): nsbad2, nsbad3: new tests.
diff --git a/test/Makefile.am b/test/Makefile.am
index 962885b5..ab06974c 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -1488,7 +1488,7 @@ GAWK_EXT_TESTS = \
        igncdym igncfs ignrcas2 ignrcas4 ignrcase incdupe incdupe2 \
        incdupe3 incdupe4 incdupe5 incdupe6 incdupe7 include include2 \
        indirectbuiltin indirectcall indirectcall2 \
-       indirectcall3 inf-nan-torture intarray iolint isarrayunset lint \
+       indirectcall3 intarray iolint isarrayunset lint \
        lintexp lintindex lintint lintlength lintold lintplus lintset \
        lintwarn manyfiles match1 match2 match3 mbstr1 mbstr2 mdim1 mdim2 \
        mdim3 mdim4 mixed1 mktime modifiers muldimposix nastyparm negtime \
@@ -1515,7 +1515,7 @@ EXTRA_TESTS = inftest regtest ignrcas3
 
 INET_TESTS = inetdayu inetdayt inetechu inetecht
 
-MACHINE_TESTS = double1 double2 intformat
+MACHINE_TESTS = double1 double2 inf-nan-torture intformat
 
 LOCALE_CHARSET_TESTS = \
        asort asorti backbigs1 backsmalls1 backsmalls2 \
@@ -1668,11 +1668,11 @@ check:  env-check \
        basic-msg-start  basic           basic-msg-end \
        unix-msg-start   unix-tests      unix-msg-end \
        extend-msg-start gawk-extensions arraydebug-tests extend-msg-end \
-       machine-msg-start machine-tests machine-msg-end \
        charset-tests-all \
        shlib-msg-start  shlib-tests     shlib-msg-end \
        mpfr-msg-start   mpfr-tests      mpfr-msg-end \
-       pma-msg-start    pma-tests       pma-msg-end
+       pma-msg-start    pma-tests       pma-msg-end \
+       machine-msg-start machine-tests machine-msg-end
        @$(MAKE) pass-fail || { $(MAKE) diffout; exit 1; }
 
 basic: $(BASIC_TESTS)
@@ -1796,6 +1796,7 @@ extend-msg-end:
 
 machine-msg-start:
        @echo "======== Starting machine-specific tests ========"
+       @echo "If any of these tests fail, don't worry too much."
 
 machine-msg-end:
        @echo "======== Done with machine-specific tests ========"
diff --git a/test/Makefile.in b/test/Makefile.in
index f7ac3cfa..834feb09 100644
--- a/test/Makefile.in
+++ b/test/Makefile.in
@@ -1756,7 +1756,7 @@ GAWK_EXT_TESTS = \
        igncdym igncfs ignrcas2 ignrcas4 ignrcase incdupe incdupe2 \
        incdupe3 incdupe4 incdupe5 incdupe6 incdupe7 include include2 \
        indirectbuiltin indirectcall indirectcall2 \
-       indirectcall3 inf-nan-torture intarray iolint isarrayunset lint \
+       indirectcall3 intarray iolint isarrayunset lint \
        lintexp lintindex lintint lintlength lintold lintplus lintset \
        lintwarn manyfiles match1 match2 match3 mbstr1 mbstr2 mdim1 mdim2 \
        mdim3 mdim4 mixed1 mktime modifiers muldimposix nastyparm negtime \
@@ -1780,7 +1780,7 @@ GAWK_EXT_TESTS = \
 ARRAYDEBUG_TESTS = arrdbg
 EXTRA_TESTS = inftest regtest ignrcas3 
 INET_TESTS = inetdayu inetdayt inetechu inetecht
-MACHINE_TESTS = double1 double2 intformat
+MACHINE_TESTS = double1 double2 inf-nan-torture intformat
 LOCALE_CHARSET_TESTS = \
        asort asorti backbigs1 backsmalls1 backsmalls2 \
        fmttest fnarydel fnparydl jarebug lc_num1 mbfw1 \
@@ -2124,11 +2124,11 @@ check:  env-check \
        basic-msg-start  basic           basic-msg-end \
        unix-msg-start   unix-tests      unix-msg-end \
        extend-msg-start gawk-extensions arraydebug-tests extend-msg-end \
-       machine-msg-start machine-tests machine-msg-end \
        charset-tests-all \
        shlib-msg-start  shlib-tests     shlib-msg-end \
        mpfr-msg-start   mpfr-tests      mpfr-msg-end \
-       pma-msg-start    pma-tests       pma-msg-end
+       pma-msg-start    pma-tests       pma-msg-end \
+       machine-msg-start machine-tests machine-msg-end
        @$(MAKE) pass-fail || { $(MAKE) diffout; exit 1; }
 
 basic: $(BASIC_TESTS)
@@ -2251,6 +2251,7 @@ extend-msg-end:
 
 machine-msg-start:
        @echo "======== Starting machine-specific tests ========"
+       @echo "If any of these tests fail, don't worry too much."
 
 machine-msg-end:
        @echo "======== Done with machine-specific tests ========"
@@ -4716,11 +4717,6 @@ indirectcall3:
        @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: 
$$? >>_$@
        @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
 
-inf-nan-torture:
-       @echo $@ $(ZOS_FAIL)
-       @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  < "$(srcdir)"/$@.in >_$@ 2>&1 
|| echo EXIT CODE: $$? >>_$@
-       @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
-
 intarray:
        @echo $@
        @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  --non-decimal-data >_$@ 2>&1 || 
echo EXIT CODE: $$? >>_$@
@@ -5255,6 +5251,11 @@ double2:
        @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: 
$$? >>_$@
        @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
 
+inf-nan-torture:
+       @echo $@ $(ZOS_FAIL)
+       @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  < "$(srcdir)"/$@.in >_$@ 2>&1 
|| echo EXIT CODE: $$? >>_$@
+       @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
 intformat:
        @echo $@
        @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: 
$$? >>_$@
diff --git a/test/Maketests b/test/Maketests
index 8b88ed83..3a667af8 100644
--- a/test/Maketests
+++ b/test/Maketests
@@ -1673,11 +1673,6 @@ indirectcall3:
        @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: 
$$? >>_$@
        @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
 
-inf-nan-torture:
-       @echo $@ $(ZOS_FAIL)
-       @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  < "$(srcdir)"/$@.in >_$@ 2>&1 
|| echo EXIT CODE: $$? >>_$@
-       @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
-
 intarray:
        @echo $@
        @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  --non-decimal-data >_$@ 2>&1 || 
echo EXIT CODE: $$? >>_$@
@@ -2212,6 +2207,11 @@ double2:
        @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: 
$$? >>_$@
        @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
 
+inf-nan-torture:
+       @echo $@ $(ZOS_FAIL)
+       @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  < "$(srcdir)"/$@.in >_$@ 2>&1 
|| echo EXIT CODE: $$? >>_$@
+       @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
 intformat:
        @echo $@
        @-AWKPATH="$(srcdir)" $(AWK) -f $@.awk  >_$@ 2>&1 || echo EXIT CODE: 
$$? >>_$@

-----------------------------------------------------------------------

Summary of changes:
 pc/ChangeLog     |  4 ++++
 pc/Makefile.tst  | 23 ++++++++++++-----------
 test/ChangeLog   |  7 +++++++
 test/Makefile.am |  9 +++++----
 test/Makefile.in | 19 ++++++++++---------
 test/Maketests   | 10 +++++-----
 6 files changed, 43 insertions(+), 29 deletions(-)


hooks/post-receive
-- 
gawk



reply via email to

[Prev in Thread] Current Thread [Next in Thread]